Package wx :: Package lib :: Package agw :: Module cubecolourdialog :: Class BasePyControl

[frames | no frames]

## Type BasePyControl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                     PyControl --+
                                 |
                                BasePyControl

Known Subclasses:
  `HSVWheel`, `RGBCube`

Base class used to hold common code for the HSB colour wheel and the RGB colour cube.

Method Summary
| ``__init__`(self, parent, bitmap)` Default class constructor.
| ``AcceptFocus`(self)` We do not accept mouse focus.
| ``AcceptsFocusFromKeyboard`(self)` We do not accept focus from keyboard.
| ``DoGetBestSize`(self)` Returns the custom control best size (used by sizers).
| ``DrawLines`(self, dc)` Empty method.
| ``DrawMarkers`(self, dc)` Empty method.
| ``OnEraseBackground`(self, event)` Handles the wx.EVT_ERASE_BACKGROUND for `BasePyControl`.
| ``OnLeftDown`(self, event)` Handles the wx.EVT_LEFT_DOWN for `BasePyControl`.
| ``OnLeftUp`(self, event)` Handles the wx.EVT_LEFT_UP for `BasePyControl`.
| ``OnMotion`(self, event)` Handles the wx.EVT_MOTION for `BasePyControl`.
| ``OnPaint`(self, event)` Handles the wx.EVT_PAINT for `BasePyControl`.
| ``OnSize`(self, event)` Handles the wx.EVT_SIZE event for `BasePyControl`.

Property Summary

Instance Method Details

### __init__(self, parent, bitmap=None)
(Constructor)

Default class constructor. Used internally. Do not call it in your code!

  Overrides:
    `wx.PyControl.__init__`

### AcceptFocus(self)

We do not accept mouse focus.

### AcceptsFocusFromKeyboard(self)

We do not accept focus from keyboard.

  Overrides:
    `wx.Window.AcceptsFocusFromKeyboard`

### DoGetBestSize(self)

Returns the custom control best size (used by sizers).

  Overrides:
    `wx.PyControl.DoGetBestSize`

### DrawLines(self, dc)

Empty method. Must be overridden in subclasses.

### DrawMarkers(self, dc=None)

Empty method. Must be overridden in subclasses.

### OnEraseBackground(self, event)

Handles the wx.EVT_ERASE_BACKGROUND for `BasePyControl`.

### OnLeftDown(self, event)

Handles the wx.EVT_LEFT_DOWN for `BasePyControl`. Must be overridden in subclasses.

### OnLeftUp(self, event)

Handles the wx.EVT_LEFT_UP for `BasePyControl`. Must be overridden in subclasses.

### OnMotion(self, event)

Handles the wx.EVT_MOTION for `BasePyControl`. Must be overridden in subclasses.

### OnPaint(self, event)

Handles the wx.EVT_PAINT for `BasePyControl`.

### OnSize(self, event)

Handles the wx.EVT_SIZE event for `BasePyControl`.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:21 2009 | http://epydoc.sf.net